package com.yeejoin.amos.boot.module.cylinder.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.cylinder.api.dto.EquInfoDto;
import com.yeejoin.amos.boot.module.cylinder.api.entity.CategoryOtherInfo;
import lombok.NonNull;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 装备分类 Mapper 接口
 *
 * @author system_generator
 * @date 2021-10-20
 */
public interface CategoryOtherInfoMapper extends BaseMapper<CategoryOtherInfo> {

    int updateSupervisorCode(String supervisorCode, String code, @Param("record") String record);

    CategoryOtherInfo selectSupervisorCode(@Param("supervisorCode") String supervisorCode);

    CategoryOtherInfo selectElevatorCode(@Param("elevatorCode") String elevatorCode, String status);

    EquInfoDto selectEquipInfo(String record);

    int updateCode(String supervisorCode, String equState);

    int updateOtherInfo(String supervisorCode, String editStatus);

    Map<String, Object> selectDataById(String id);

    CategoryOtherInfo queryInitCode(@Param("initCode") @NonNull String initCode);
}
